pcmmix(1)

Name
pcmmix — PCM mixer

Syntax
pcmmix [-ap] [-t p/q] file...

Description
pcmmix will mix two or more input streams (assumed to be LE16 PCM, and of the same number of channels). It can do so in either arpeggiated or polyphonic mode.

Options
-a Select arpeggio mode.

-p Select polyphony mode.

-r rate Input sample rate (default: 48000).

-t p/q Defines the length of one arpeggio block in which data from all input sources will be round-robined within, as p/q seconds. (default: 80/1086)

Examples

•   Entertainer from FOG: `pcmmix -t 160/1086 <(bsvplay --pianoman entrtan1.mus) <(bsvplay --pianoman entrtan2.mus) <(bsvplay --pianoman entrtan3.mus) <(bsvplay --pianoman entrtan4.mus) | aplay -fcd -r48000 -c1`

•   IHOLD from FOG: `pcmmix -t 80/1086 <(bsvplay --pianoman ihold1.mus) <(bsvplay --pianoman ihold2.mus) <(bsvplay --pianoman ihold3.mus) <(bsvplay --pianoman ihold4.mus) | aplay -fcd -r48000 -c1`

See also
aplay(1), bsvplay(1), hxtools(7), qplay(1)